a {
  display: inline-block;
  height: 22px;
  vertical-align: bottom;
  width: 22px;
}

body {
  font-family: 'LiberationSansRegular';
}

button {
  font-family: 'LiberationSansBold';
  .width: 64px;
}

form {
  background-color: #ccc;
  border: 1px solid #888;
}

form div {
  border: 1px solid #ccc;
  margin: 4px 4px 0 4px;
  margin: 0 4px 0 4px;
  padding: 4px 4px 4px 4px;
  padding: 4px 4px 0 4px;
}
form div.buttons {
  margin-bottom: 4px;
  text-align: center;
}
form div.buttons button {
  width: 64px;
  width: 80px;
}
form div.debug {
  border: 1px solid #eee;
}
form div.inline {
  display: inline-block;
  margin: 4px 0 0 0;
  margin: 0 0 0 0;
  vertical-align: bottom;
  vertical-align: top;
}
form div.inline.first {
  margin: 4px 0 0 4px;
  margin: 0 0 0 4px;
}
form div.inline.last {
  margin: 4px 4px 0 0;
  margin: 0 4px 0 0;
}
form div.textarea {
  padding-right: 10px;
}
form div.validation-error {
  background-color: rgba(128,0,0,0.2);
  border: 1px solid #800;
}

img {
  vertical-align: bottom;
}

input {
  font-family: 'LiberationSansRegular';
}
input[name="Employee_Number"],
input[name="Name"] {
  text-transform: capitalize;
}
input[type="checkbox"] {
  .height: 21px;
  margin-top: 8px;
  .width: 21px;
  transform: scale(2.0);
}

label {
  font-family: 'LiberationSansBold';
}

input,
select,
textarea {
  font-family: 'LiberationSansRegular';
  font-size: 100%;
}
select {
  padding: 1px 0;
}
textarea {
  width: 100%;
}

table.header {
  margin: 3px auto;
}
table.footer {
  margin: 0 auto;
}
table.headings {
  border: 1px solid #000;
  border-bottom: 1px solid #667;
}
table.labor,
table.nonLabor {
  border-left: 1px solid #000;
  border-right: 1px solid #000;
  .border-top: 0;
  .margin: 16px auto;
  margin-top: -20px;
}
table.labor tr td,
table.nonLabor tr td {
  padding: 0 3px;
  vertical-align: middle;
  white-space: nowrap;
}
table.labor tr td.width200,
table.nonLabor tr td.width200 {
  max-width: 175px;
  .max-width: 230px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  width: 175px;
}
table.labor tr td.wrap,
table.nonLabor tr td.wrap {
  white-space: normal;
}
table.labor tr td:last-of-type,
table.nonLabor tr td:last-of-type {
  padding: 0;
}

td, th {
  padding: 3px;
  vertical-align: top;
}

div#tableWrapper1 {
  margin: 16px auto 0 auto;
  margin: 6px auto 0 auto;
  padding-left: 16px;
}
div#tableWrapper2 {
  .border-bottom: 1px solid #667;
  .border: 1px solid #000;
  .border-left: 0;
  .display: table;
  margin: 0 auto 16px auto;
  margin: 0 auto 6px auto;
  padding-left: 16px;
  .width: 1024px;
  height: 324px;
  overflow: auto;
  
}

form#timesheetForm {
  display: none;
  .display: table;
  left: 50%;
  position: fixed;
  top: 30%;
  z-index: 100;
}
form#laborForm,
form#nonLaborForm {
  display: table;
  margin: 8px auto;
  margin: 0 auto;
}

form#timesheetForm label {
  display: inline-block;
  width: 220px;
}
form#laborForm label,
form#nonLaborForm label {
  display: block;
}
form#laborForm label[for="By"],
form#nonLaborForm label[for="By"],
form#laborForm label[for="Job_Number"],
form#nonLaborForm label[for="Job_Number"] {
  display: inline;
}
form#laborForm label[for="Job_Number"],
form#nonLaborForm label[for="Job_Number"] {
  padding-right: 32px;
}
form#laborForm input[name="By"],
form#nonLaborForm input[name="By"] {
  margin-top: 0;
}
form#laborForm select[name="Job_Number"],
form#nonLaborForm select[name="Job_Number"] {
  font-family: 'LiberationMonoRegular';
  display: block;
  width: 860px;
}
form#nonLaborForm select[name="Job_Number"] option {
  .font-family: 'LiberationMonoRegular';
  .font-size: 90%;
}

form#laborForm select:focus {
  .width: 300px;
}

/* my laptop is 1299px */
@media only screen and (min-width: 1300px) {
  div#tableWrapper2 {
    height: 356px;
  }
  table.labor tr td.width200,
  table.nonLabor tr td.width200 {
    max-width: 230px;
    width: 230px;
  }
}

